org.apache.ignite.internal.processors.cache.mvcc

## Class StaticMvccQueryTracker

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.mvcc.StaticMvccQueryTracker

All Implemented Interfaces:
  MvccCoordinatorChangeAware, MvccQueryTracker

    public class StaticMvccQueryTracker
    extends Object
    implements MvccQueryTracker

Simple MVCC tracker used only as an Mvcc snapshot holder.

### Field Summary

### Fields inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccCoordinatorChangeAware

`ID_CNTR, ID_FILTER, MVCC_TRACKER_ID_NA`

### Constructor Summary

Constructors
Constructor and Description
`StaticMvccQueryTracker(GridCacheContext cctx, MvccSnapshot snapshot)`

### Method Summary

All Methods Instance Methods Concrete Methods
`GridCacheContext` `context()`
`void` `onDone()` Marks tracker as done.
`IgniteInternalFuture<MvccSnapshot>` `requestSnapshot()` Requests version on coordinator.
`MvccSnapshot` `snapshot()`
`AffinityTopologyVersion` `topologyVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccQueryTracker

`id`

### Methods inherited from interface org.apache.ignite.internal.processors.cache.mvcc.MvccCoordinatorChangeAware

`onMvccCoordinatorChange`

### Constructor Detail

#### StaticMvccQueryTracker

    public StaticMvccQueryTracker(GridCacheContext cctx,
                                  MvccSnapshot snapshot)

Parameters:
  `cctx` - Cache context.
  `snapshot` - Mvcc snapshot.

### Method Detail

#### snapshot

    public MvccSnapshot snapshot()

Specified by:
  `snapshot` in interface `MvccQueryTracker`
Returns:
  Requested MVCC snapshot.

#### context

    public GridCacheContext context()

Specified by:
  `context` in interface `MvccQueryTracker`
Returns:
  Cache context.

#### topologyVersion

    public AffinityTopologyVersion topologyVersion()

Specified by:
  `topologyVersion` in interface `MvccQueryTracker`
Returns:
  Topology version.

#### requestSnapshot

    public IgniteInternalFuture<MvccSnapshot> requestSnapshot()

Requests version on coordinator.

Specified by:
  `requestSnapshot` in interface `MvccQueryTracker`
Returns:
  Future to wait for result.

#### onDone

    public void onDone()

Marks tracker as done.

Specified by:
  `onDone` in interface `MvccQueryTracker`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.1
Release Date | : May 21 2020